Page MenuHomePhabricator

As a user who is not logged in, I would like to be able to log in to Wikipedia from the Settings screen
Closed, ResolvedPublic1 Story Points

Description

There should be a place in the settings to log in at any time, if the user is not already logged in.

Event Timeline

JMinor created this task.Oct 16 2015, 8:33 PM
JMinor raised the priority of this task from to Needs Triage.
JMinor updated the task description. (Show Details)
JMinor added subscribers: JMinor, Etonkovidova.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 16 2015, 8:33 PM
JMinor triaged this task as Normal priority.Oct 19 2015, 7:47 PM
JMinor set Security to None.

@JMinor can we get this prioritized? Since we are removing login from first launch, we need this so users can log in.
FYI: as long as a redesign isn't in scope for this card, it will be a 1 point story.

@Fjalapeno, its at the top of needs design and tagged for beta. so prioritized. I've edited the title so it doesn't just apply to first time experience.

@Nirzar, suggest we keep the existing log-in flow/design for now but please take a look. My only thought was to change "Skip" to "Cancel" since they are no longer skipping an on-boarding step. It'd be nice to take a visual pass to update to new look, but not needed for beta IMO.

Given that I am not logged in
When I go to the settings screen
Then I should see a settings item labeled "Log in to Wikipedia"

When I tap the "Log in" settings item
Then I should see the login modal

JMinor renamed this task from As a user who chose not to log in at first, I would like to be able to log in later to As a user who is not logged in, I would like to be able to log in to Wikipedia from the Settings screen.Nov 24 2015, 5:23 PM

@JMinor there is a cell in settings called "log out <username>" we can re-use it to log in. so the same cell will say "Log in" if not logged in.

JMinor raised the priority of this task from Normal to High.Dec 3 2015, 10:22 PM
Mhurd claimed this task.Dec 5 2015, 1:05 AM
BGerstle-WMF lowered the priority of this task from High to Normal.Dec 9 2015, 10:27 PM

Checked with 5.0.0.540 on iPad mini iOS 8.2

To follow up when TestFlight updates will be available

JMinor closed this task as Resolved.Dec 15 2015, 11:07 PM